Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.extension.svg
Class FlowExtTextNode

    java.lang.Object
      org.apache.batik.gvt.AbstractGraphicsNode
          org.apache.batik.gvt.TextNode
              org.apache.batik.extension.svg.FlowExtTextNode

All Implemented Interfaces:
  GraphicsNode, Selectable

    public class FlowExtTextNode

extends TextNode

One line Class Desc Complete Class Desc

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.gvt.TextNode
`TextNode.Anchor`

Field Summary

Fields inherited from class org.apache.batik.gvt.TextNode
`aci, beginMark, endMark, location, PAINT_INFO, text, textPainter, textRuns`

Fields inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`changeCompletedEvent, changeStartedEvent, clip, composite, enableBackgroundGraphicsNodeRable, filter, graphicsNodeRable, hints, inverseTransform, isVisible, listeners, mask, parent, pointerEventType, root, transform, weakRef`

Fields inherited from interface org.apache.batik.gvt.GraphicsNode
`ALL, FILL, IDENTITY, NONE, PAINTED, STROKE, VISIBLE, VISIBLE_FILL, VISIBLE_PAINTED, VISIBLE_STROKE`

Constructor Summary
`FlowExtTextNode()`

Method Summary
`void` | `setTextPainter(TextPainter textPainter)` Sets the text painter of this text node.

Methods inherited from class org.apache.batik.gvt.TextNode
`contains, contains, getAttributedCharacterIterator, getGeometryBounds, getHighlightShape, getLocation, getMarkerForChar, getOutline, getPrimitiveBounds, getSelection, getSensitiveBounds, getText, getTextPainter, getTextRuns, invalidateGeometryCache, primitivePaint, selectAll, selectAt, selectTo, setAttributedCharacterIterator, setLocation, setSelection, setTextRuns, swapTextPaintInfo`

Methods inherited from class org.apache.batik.gvt.AbstractGraphicsNode
`fireGraphicsNodeChangeCompleted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, fireGraphicsNodeChangeStarted, getBounds, getClip, getComposite, getEnableBackgroundGraphicsNodeRable, getFilter, getGlobalTransform, getGraphicsNodeRable, getInverseTransform, getMask, getParent, getPointerEventType, getRenderingHints, getRoot, getTransform, getTransformedBounds, getTransformedGeometryBounds, getTransformedPrimitiveBounds, getTransformedSensitiveBounds, getWeakReference, intersects, isAntialiasedClip, isOffscreenBufferNeeded, isVisible, nodeHitAt, normalizeRectangle, paint, setClip, setComposite, setFilter, setMask, setParent, setPointerEventType, setRenderingHint, setRenderingHints, setRenderingHints, setRoot, setTransform, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowExtTextNode

    public FlowExtTextNode()

Method Detail

### setTextPainter

    public void setTextPainter(TextPainter textPainter)

  Description copied from class: `TextNode`
  Sets the text painter of this text node. If the specified text painter is null, this text node will use its default text painter (StrokingTextPainter.getInstance()).

  Overrides:
    `setTextPainter` in class `TextNode`
  Parameters:
    `textPainter` - the text painter to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.